class_name Bullet extends Area2D
var speed = 700
@onready var bullet_image: Sprite2D = $bulletImage

signal bulletHit(body, bullet)

func setSpeed(value):
	speed = value
	if speed <0:
		bullet_image.flip_h = true
	if speed >0:
		bullet_image.flip_h = false
	
func _physics_process(delta: float) -> void:
	position += transform.x * speed * delta


func _on_body_entered(body: Node2D) -> void:
	if not body is Player:
		bulletHit.emit(body, self)


func _on_area_entered(area: Area2D) -> void:
	if area is Slime:
		print("bullet hitting enemy")
		bulletHit.emit(area, self)
